### Function

# Pango scan_int

#### Declaration [src]

    gboolean
    pango_scan_int (
      const char** pos,
      int* out
    )

#### Description [src]

Scans an integer.

Leading white space is skipped.

#### Parameters

`pos` | `const char**`
| In/out string position.
| The argument will be modified by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.
`out` | `int*`
| An int into which to write the result.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `FALSE` if a parse error occurred.